//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Physics {
/// <summary>
/// Creates a rope at the specific position, that extends in the specified direction when not attached to any entities.<br />__<br /><br />Add_Rope(pos.x,pos.y,pos.z,0.0,0.0,0.0,20.0,4,20.0,1.0,0.0,false,false,false,5.0,false,NULL)<br /><br />When attached, Position&lt;vector&gt; does not matter<br />When attached, Angle&lt;vector&gt; does not matter<br /><br />Rope Type:<br />4 and bellow is a thick rope<br />5 and up are small metal wires<br />0 crashes the game<br /><br />Max_length - Rope is forced to this length, generally best to keep this the same as your rope length.<br /><br />windingSpeed - Speed the Rope is being winded, using native START_ROPE_WINDING. Set positive for winding and negative for unwinding.<br /><br />Rigid - If max length is zero, and this is set to false the rope will become rigid (it will force a specific distance, what ever length is, between the objects).<br /><br />breakable - Whether or not shooting the rope will break it.<br /><br />unkPtr - unknown ptr, always 0 in orig scripts<br />__<br /><br />Lengths can be calculated like so:<br /><br />float distance = abs(x1 - x2) + abs(y1 - y2) + abs(z1 - z2); // Rope length<br /><br /><br />NOTES:<br /><br />Rope does NOT interact with anything you attach it to, in some cases it make interact with the world AFTER it breaks (seems to occur if you set the type to -1).<br /><br />Rope will sometimes contract and fall to the ground like you&apos;d expect it to, but since it doesn&apos;t interact with the world the effect is just jaring.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE832D760399EB220<br />
/// </para>
/// </remarks>
public static int AddRope(float x, float y, float z, float rotX, float rotY, float rotZ, float length, int ropeType, float maxLength, float minLength, float windingSpeed, bool p11, bool p12, bool rigid, float p14, bool breakWhenShot, int /* bug: structure */ unkPtr){
return Function.Call<int>((Hash)0xE832D760399EB220uL, x, y, z, rotX, rotY, rotZ, length, ropeType, maxLength, minLength, windingSpeed, p11, p12, rigid, p14, breakWhenShot, unkPtr);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x52B4829281364649<br />
/// </para>
/// </remarks>
public static void DeleteRope(ref int ropeId){
var nativeAssistPointerVar0 = ropeId;
unsafe {
Function.Call((Hash)0x52B4829281364649uL, &nativeAssistPointerVar0);
}
ropeId = nativeAssistPointerVar0;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAA5D6B1888E4DB20<br />
/// </para>
/// </remarks>
public static void DeleteChildRope(int ropeId){
Function.Call((Hash)0xAA5D6B1888E4DB20uL, ropeId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFD5448BE3111ED96<br />
/// </para>
/// </remarks>
public static bool DoesRopeExist(ref int ropeId){
var nativeAssistPointerVar0 = ropeId;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xFD5448BE3111ED96uL, &nativeAssistPointerVar0);
}
ropeId = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 1868<br />
/// <b>Native ID:</b> 0xA1AE736541B0FCA3<br />
/// </para>
/// </remarks>
public static void RopeDrawEnabled(ref int ropeId, bool p1){
var nativeAssistPointerVar0 = ropeId;
unsafe {
Function.Call((Hash)0xA1AE736541B0FCA3uL, &nativeAssistPointerVar0, p1);
}
ropeId = nativeAssistPointerVar0;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF159A63806BB5BA8<br />
/// </para>
/// </remarks>
public static void RopeDrawShadowEnabled(ref int ropeId, bool toggle){
var nativeAssistPointerVar0 = ropeId;
unsafe {
Function.Call((Hash)0xF159A63806BB5BA8uL, &nativeAssistPointerVar0, toggle);
}
ropeId = nativeAssistPointerVar0;
}

/// <summary>
/// Rope presets can be found in the gamefiles. One example is &quot;ropeFamily3&quot;, it is NOT a hash but rather a string.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCBB203C04D1ABD27<br />
/// </para>
/// </remarks>
public static void LoadRopeData(int ropeId, string rope_preset){
Function.Call((Hash)0xCBB203C04D1ABD27uL, ropeId, rope_preset);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2B320CF14146B69A<br />
/// </para>
/// </remarks>
public static void PinRopeVertex(int ropeId, int vertex, float x, float y, float z){
Function.Call((Hash)0x2B320CF14146B69AuL, ropeId, vertex, x, y, z);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4B5AE2EEE4A8F180<br />
/// </para>
/// </remarks>
public static void UnpinRopeVertex(int ropeId, int vertex){
Function.Call((Hash)0x4B5AE2EEE4A8F180uL, ropeId, vertex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3655F544CD30F0B5<br />
/// </para>
/// </remarks>
public static int GetRopeVertexCount(int ropeId){
return Function.Call<int>((Hash)0x3655F544CD30F0B5uL, ropeId);
}

/// <summary>
/// Attaches entity 1 to entity 2.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3D95EC8B6D940AC3<br />
/// </para>
/// </remarks>
public static void AttachEntitiesToRope(int ropeId, int /* Entity */ ent1, int /* Entity */ ent2, float ent1_x, float ent1_y, float ent1_z, float ent2_x, float ent2_y, float ent2_z, float length, bool p10, bool p11, int /* bug: structure */ p12, int /* bug: structure */ p13){
Function.Call((Hash)0x3D95EC8B6D940AC3uL, ropeId, ent1, ent2, ent1_x, ent1_y, ent1_z, ent2_x, ent2_y, ent2_z, length, p10, p11, p12, p13);
}

/// <summary>
/// The position supplied can be anywhere, and the entity should anchor relative to that point from it&apos;s origin.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4B490A6832559A65<br />
/// </para>
/// </remarks>
public static void AttachRopeToEntity(int ropeId, int /* Entity */ entity, float x, float y, float z, bool p5){
Function.Call((Hash)0x4B490A6832559A65uL, ropeId, entity, x, y, z, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBCF3026912A8647D<br />
/// </para>
/// </remarks>
public static void DetachRopeFromEntity(int ropeId, int /* Entity */ entity){
Function.Call((Hash)0xBCF3026912A8647DuL, ropeId, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC8D667EE52114ABA<br />
/// </para>
/// </remarks>
public static void RopeSetUpdatePinverts(int ropeId){
Function.Call((Hash)0xC8D667EE52114ABAuL, ropeId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDC57A637A20006ED<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void RopeSetUpdateOrder(int ropeId, int /* bug: Any */ p1){
Function.Call((Hash)0xDC57A637A20006EDuL, ropeId, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x36CCB9BE67B970FD<br />
/// </para>
/// </remarks>
public static void RopeSetSmoothReelin(int ropeId, bool p1){
Function.Call((Hash)0x36CCB9BE67B970FDuL, ropeId, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x84DE3B5FB3E666F0<br />
/// </para>
/// </remarks>
public static bool IsRopeAttachedAtBothEnds(ref int ropeId){
var nativeAssistPointerVar0 = ropeId;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x84DE3B5FB3E666F0uL, &nativeAssistPointerVar0);
}
ropeId = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x21BB0FBD3E217C2D<br />
/// </para>
/// </remarks>
public static Vector3 GetRopeLastVertexCoord(int ropeId){
return Function.Call<Vector3>((Hash)0x21BB0FBD3E217C2DuL, ropeId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEA61CA8E80F09E4D<br />
/// </para>
/// </remarks>
public static Vector3 GetRopeVertexCoord(int ropeId, int vertex){
return Function.Call<Vector3>((Hash)0xEA61CA8E80F09E4DuL, ropeId, vertex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1461C72C889E343E<br />
/// </para>
/// </remarks>
public static void StartRopeWinding(int ropeId){
Function.Call((Hash)0x1461C72C889E343EuL, ropeId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCB2D4AB84A19AA7C<br />
/// </para>
/// </remarks>
public static void StopRopeWinding(int ropeId){
Function.Call((Hash)0xCB2D4AB84A19AA7CuL, ropeId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x538D1179EC1AA9A9<br />
/// </para>
/// </remarks>
public static void StartRopeUnwindingFront(int ropeId){
Function.Call((Hash)0x538D1179EC1AA9A9uL, ropeId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFFF3A50779EFBBB3<br />
/// </para>
/// </remarks>
public static void StopRopeUnwindingFront(int ropeId){
Function.Call((Hash)0xFFF3A50779EFBBB3uL, ropeId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5389D48EFA2F079A<br />
/// </para>
/// </remarks>
public static void RopeConvertToSimple(int ropeId){
Function.Call((Hash)0x5389D48EFA2F079AuL, ropeId);
}

/// <summary>
/// Loads rope textures for all ropes in the current scene.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9B9039DBF2D258C1<br />
/// </para>
/// </remarks>
public static void RopeLoadTextures(){
Function.Call((Hash)0x9B9039DBF2D258C1uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF2D0E6A75CC05597<br />
/// </para>
/// </remarks>
public static bool RopeAreTexturesLoaded(){
return Function.Call<bool>((Hash)0xF2D0E6A75CC05597uL);
}

/// <summary>
/// Unloads rope textures for all ropes in the current scene.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6CE36C35C1AC8163<br />
/// </para>
/// </remarks>
public static void RopeUnloadTextures(){
Function.Call((Hash)0x6CE36C35C1AC8163uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x271C9D3ACA5D6409<br />
/// </para>
/// </remarks>
public static bool DoesScriptOwnRope(int ropeId){
return Function.Call<bool>((Hash)0x271C9D3ACA5D6409uL, ropeId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBC0CE682D4D05650<br />
/// </para>
/// </remarks>
public static void RopeAttachVirtualBoundGeom(int ropeId, int p1, float p2, float p3, float p4, float p5, float p6, float p7, float p8, float p9, float p10, float p11, float p12, float p13){
Function.Call((Hash)0xBC0CE682D4D05650uL, ropeId, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11, p12, p13);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB1B6216CA2E7B55E<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void RopeChangeScriptOwner(int /* bug: Any */ p0, bool p1, bool p2){
Function.Call((Hash)0xB1B6216CA2E7B55EuL, p0, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB743F735C03D7810<br />
/// </para>
/// </remarks>
public static void RopeSetRefframevelocityColliderorder(int ropeId, int p1){
Function.Call((Hash)0xB743F735C03D7810uL, ropeId, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x73040398DFF9A4A6<br />
/// </para>
/// </remarks>
public static float RopeGetDistanceBetweenEnds(int ropeId){
return Function.Call<float>((Hash)0x73040398DFF9A4A6uL, ropeId);
}

/// <summary>
/// Forces a rope to a certain length.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD009F759A723DB1B<br />
/// </para>
/// </remarks>
public static void RopeForceLength(int ropeId, float length){
Function.Call((Hash)0xD009F759A723DB1BuL, ropeId, length);
}

/// <summary>
/// Reset a rope to a certain length.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC16DE94D9BEA14A0<br />
/// </para>
/// </remarks>
public static void RopeResetLength(int ropeId, float length){
Function.Call((Hash)0xC16DE94D9BEA14A0uL, ropeId, length);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE37F721824571784<br />
/// </para>
/// </remarks>
public static void ApplyImpulseToCloth(float posX, float posY, float posZ, float vecX, float vecY, float vecZ, float impulse){
Function.Call((Hash)0xE37F721824571784uL, posX, posY, posZ, vecX, vecY, vecZ, impulse);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEEA3B200A6FEB65B<br />
/// </para>
/// </remarks>
public static void SetDamping(int /* Entity */ entity, int vertex, float value){
Function.Call((Hash)0xEEA3B200A6FEB65BuL, entity, vertex, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x710311ADF0E20730<br />
/// </para>
/// </remarks>
public static void ActivatePhysics(int /* Entity */ entity){
Function.Call((Hash)0x710311ADF0E20730uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD8FA3908D7B86904<br />
/// </para>
/// </remarks>
public static void SetCgoffset(int /* Entity */ entity, float x, float y, float z){
Function.Call((Hash)0xD8FA3908D7B86904uL, entity, x, y, z);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8214A4B5A7A33612<br />
/// </para>
/// </remarks>
public static Vector3 GetCgoffset(int /* Entity */ entity){
return Function.Call<Vector3>((Hash)0x8214A4B5A7A33612uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBE520D9761FF811F<br />
/// </para>
/// </remarks>
public static void SetCgAtBoundcenter(int /* Entity */ entity){
Function.Call((Hash)0xBE520D9761FF811FuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2E648D16F6E308F3<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void BreakEntityGlass(int /* Entity */ entity, float p1, float p2, float p3, float p4, float p5, float p6, float p7, float p8, int /* bug: Any */ p9, bool p10){
Function.Call((Hash)0x2E648D16F6E308F3uL, entity, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 505<br />
/// <b>Native ID:</b> 0x0C112765300C7E1E<br />
/// </para>
/// </remarks>
public static bool GetIsEntityAFrag(int /* Object */ @object){
return Function.Call<bool>((Hash)0x0C112765300C7E1EuL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5CEC1A84620E7D5B<br />
/// </para>
/// </remarks>
public static void SetDisableBreaking(int /* Object */ @object, bool toggle){
Function.Call((Hash)0x5CEC1A84620E7D5BuL, @object, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCC6E963682533882<br />
/// </para>
/// </remarks>
public static void ResetDisableBreaking(int /* Object */ @object){
Function.Call((Hash)0xCC6E963682533882uL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x01BA3AED21C16CFB<br />
/// </para>
/// </remarks>
public static void SetDisableFragDamage(int /* Object */ @object, bool toggle){
Function.Call((Hash)0x01BA3AED21C16CFBuL, @object, toggle);
}

/// <summary>
/// PED_RAGDOLL_BUMP Proof?
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 463<br />
/// <b>Native ID:</b> 0x15F944730C832252<br />
/// </para>
/// </remarks>
public static void SetUseKinematicPhysics(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x15F944730C832252uL, entity, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 791<br />
/// <b>Native ID:</b> 0x9EBD751E5787BAF2<br />
/// </para>
/// </remarks>
public static void SetInStuntMode(bool p0){
Function.Call((Hash)0x9EBD751E5787BAF2uL, p0);
}

/// <summary>
/// Related to the lower-end of a vehicles fTractionCurve, e.g., from standing starts and acceleration from low/zero speeds.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Physics<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0xAA6A6098851C396F<br />
/// </para>
/// </remarks>
public static void SetInArenaMode(bool toggle){
Function.Call((Hash)0xAA6A6098851C396FuL, toggle);
}

}}
